* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: 'Raleway', sans-serif;
  background-color: #f5f5f5;
}

body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("img/back.png");
  background-size: cover;
  background-position: center;
  opacity: 0.20; /* 👈 controlás transparencia */
  z-index: -1;
}

/* CONTENEDOR */
.container {
  width: 100%;
  margin: 0;
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 6px;
}
/* TEXTOS */
h1 {
  text-align: center;
  margin: 0;
  font-size: 22px;
}

.sub {
  color: #666;
  font-size: 15px;
  padding: 0;
  margin: 0;
}

.sub2 {
  color: #666;
  font-size: 14px;
  padding: 0;
  margin: 0;
  line-height: 1.5;
  text-align: center;
}

.step {
  font-size: 18px;
}

.step2 {
  font-size: 28px;
  text-align: center;
}
/* TIPOS */
.tipos {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.tipo {
  width: calc(50% - 5px);
  padding: 14px;
  border: 2px solid #ccc;
  border-radius: 12px;
  background-color: white;
  cursor: pointer;
  transition: 0.2s;
  text-decoration: none; /* saca subrayado */
  color: inherit; /* mantiene color original */
  display: block; /* hace que el <a> se comporte como div */
}

.tipo3 {
  width: 100%;
  padding: 14px;
  border: 2px solid #ccc;
  border-radius: 12px;
  background-color: white;
  cursor: pointer;
  transition: 0.2s;
  text-decoration: none; /* saca subrayado */
  color: inherit; /* mantiene color original */
  display: block; /* hace que el <a> se comporte como div */
}

h3 {
  margin: 5px 0 5px 0;
  font-size: 16px;
}

.tipo p {
  margin: 5px 0 5px 2px;
  font-size: 13px;
  color: #666;
}

/* TAMAÑOS */
.sizes {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.size {
  width: calc(50% - 5px);
  padding: 14px;
  border: 2px solid #ccc;
  border-radius: 12px;
  text-align: center;
  background-color: white;
  cursor: pointer;
  transition: 0.2s;
}

.size2 {
  width: 100%;
  padding: 3px;
  border: 2px solid #ccc;
  border-radius: 12px;
  text-align: center;
  background-color: rgba(255, 255, 255, 0.451);
}

.pie{
  padding: 0;
  margin: 0;
  font-size: 9.45px;
  color: #666;
}

.piet {
  margin: auto;
  font-size: 15px;
}

.size p {
  margin: 0;
  font-size: 13px;
  color: #666;
}

/* HOVER (también aplica en desktop) */
.tipo:hover,
.size:hover {
  border-color: black;
}

.btn {
  width: 25%;
  padding: 5px;
  border: none;
  background-color: #ffffff;
  text-align: right;
  cursor: pointer;
}

.wsverde {
  width: 50%;
}

.wsp2 {
  position: fixed;
  bottom: 20px;   /* separación del borde */
  right: 20px;
  width: 55px;
  height: 55px;
  z-index: 1000;
}

.wsp4 {
  position: fixed;
  bottom: 20px;   /* separación del borde */
  left: 20px;
  width: 55px;
  height: 55px;
  z-index: 1000;
}

.wslogo {
  width: 100%;
  height: 100%;
  display: block;
}

.iglogo {
  width: 90%;
  height: 90%;
  display: block;
}

.wsp2:hover {
  transform: scale(1.1);
  transition: 0.2s;
}

.wsp4:hover {
  transform: scale(1.1);
  transition: 0.2s;
}

/* FOOTER */
.footer {
  width: 100%;
  margin: 0;
  background-color: white;
  border-top: 1px solid #ddd;
  padding: 10px;
  display: flex;
  justify-content: space-between; /* separa izquierda y derecha */
  align-items: center; /* centra verticalmente el botón */
  gap: 5px;
  box-shadow: 0 -4px 15px rgba(0,0,0,0.08);
}

.fot {
  display: flex;
  flex-direction: column; /* uno arriba del otro */
}
/* PRECIO */
#resultado {
  margin: 0;
  font-size: 17px;
}

/* NOTA */
.nota {
  font-size: 12px;
  color: #666;
  width: 100%;
  margin-top: 3px;
}

.logo {
  width: 27%;
  max-width: 180px;
  margin: 0 auto 5px auto;
  display: block;
}

.logo2 {
  width: 60%;
  margin: auto;
  max-width: 180px;
  display: block;
}

.logo3 {
  width: 60%;
  margin: auto;
  max-width: 180px;
  display: block;
}

.logocat2 {
  width: 30%;
  margin: auto;
  max-width: 180px;
  display: block;
}

.logocat3 {
  width: 30%;
  margin: auto;
  max-width: 180px;
  display: block;
}

.volver-inicio {
  display: block;
  text-align: center;
  margin: 30px 0;
  text-decoration: none;
  font-family: 'Raleway', sans-serif;
  font-size: 14px;
  letter-spacing: 2px;
  color: rgb(47, 45, 45);
}

.volver-inicio:hover {
  opacity: 0.6;
}

@media (min-width: 480px) {

  .container {
    width: 70%;
    margin: auto;
    padding: 20px;
    gap: 18px;
  }

  .logo2 {
    width: 50%;
    margin: auto;
    max-width: 200px;
    display: block;
  }
  
  .logo3 {
    width: 50%;
    margin: auto;
    max-width: 200px;
    display: block;
  }

  .footer {
    width: 100%;
    margin: auto;
  
  }

  .btn {
    font-size: 16px;
    width: 15%;
  }

  #resultado {
    font-size: 19px;
  }

}

@media (min-width: 768px) {

  .container {
    width: 50%;
    margin: auto;
    padding-bottom: 60px;
  }

  .sub2 {
  font-size: 16px;
  }

  .logo2 {
    width: 40%;
    margin: auto;
    max-width: 180px;
    display: block;
  }
  
  .logo3 {
    width: 40%;
    margin: auto;
    max-width: 180px;
    display: block;
  }

  .footer {
    width: 100%;
    margin: auto;
  }

  h1 {
    font-size: 24px;
  }

  .step {
    font-size: 18px;
  }

}